
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>controller.files module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-controller.files">
<span id="controller-files-module"></span><h1>controller.files module<a class="headerlink" href="#module-controller.files" title="Permalink to this headline">¶</a></h1>
<p>Files management module.</p>
<p>File API is used to store the structure and access information of the files
which are being used by the system.</p>
<div class="admonition seealso">
<p class="admonition-title">See also</p>
<p><a class="reference internal" href="controller.project.html#module-controller.project" title="controller.project"><code class="xref py py-func docutils literal notranslate"><span class="pre">project()</span></code></a> To manage projects</p>
<p><a class="reference internal" href="controller.connector.html#module-controller.connector" title="controller.connector"><code class="xref py py-func docutils literal notranslate"><span class="pre">connector()</span></code></a> Connection management</p>
</div>
<dl class="function">
<dt id="controller.files.index">
<code class="sig-prename descclassname">controller.files.</code><code class="sig-name descname">index</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.files.index" title="Permalink to this definition">¶</a></dt>
<dd><p>Fetch all the files present in the system.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>JSON of the files stored in the system.</p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p>dict</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/files/&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">    &quot;files&quot;: [</span>
<span class="go">        {</span>
<span class="go">            &quot;id&quot;: 1,</span>
<span class="go">            &quot;name&quot;: &quot;alignment_file_csv&quot;,</span>
<span class="go">            &quot;creation_date&quot;: null,</span>
<span class="go">            &quot;created_by&quot;: null,</span>
<span class="go">            &quot;modification_date&quot;: null,</span>
<span class="go">            &quot;modification_by&quot;: null,</span>
<span class="go">            &quot;is_active&quot;: True,</span>
<span class="go">            &quot;shape&quot;: [],</span>
<span class="go">            &quot;connector_id&quot;: 1</span>
<span class="go">        },</span>
<span class="go">        ...</span>
<span class="go">    ]</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

<dl class="function">
<dt id="controller.files.search">
<code class="sig-prename descclassname">controller.files.</code><code class="sig-name descname">search</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.files.search" title="Permalink to this definition">¶</a></dt>
<dd><p>Search all the files present in the system.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>name</strong> (<em>str</em>) – [Optional] name of the file</p></li>
<li><p><strong>project_id</strong> (<em>int</em>) – [Optional] project to which the file belong</p></li>
<li><p><strong>is_active</strong> (<em>bool</em>) – [Optional] status of the file</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>JSON of the files stored in the system.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>dict</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/files/search?name=alignment&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">    &quot;files&quot;: [</span>
<span class="go">        {</span>
<span class="go">            &quot;id&quot;: 1,</span>
<span class="go">            &quot;name&quot;: &quot;alignment_file_csv&quot;,</span>
<span class="go">            &quot;description&quot;: &quot;dummy&quot;,</span>
<span class="go">            &quot;creation_date&quot;: null,</span>
<span class="go">            &quot;created_by&quot;: null,</span>
<span class="go">            &quot;modification_date&quot;: null,</span>
<span class="go">            &quot;modification_by&quot;: null,</span>
<span class="go">            &quot;is_active&quot;: True,</span>
<span class="go">            &quot;shape&quot;: [],</span>
<span class="go">            &quot;connector_id&quot;: 1</span>
<span class="go">        },</span>
<span class="go">        ...</span>
<span class="go">    ]</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

<dl class="function">
<dt id="controller.files.add">
<code class="sig-prename descclassname">controller.files.</code><code class="sig-name descname">add</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.files.add" title="Permalink to this definition">¶</a></dt>
<dd><p>Register a file into the system.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>name</strong> (<em>str</em>) – name of the file</p></li>
<li><p><strong>description</strong> (<em>str</em>) – what this file is all about?</p></li>
<li><p><strong>is_active</strong> (<em>bool</em>) – [Optional] status of the file</p></li>
<li><p><strong>connector_id</strong> (<em>int</em>) – ID of the connector to be used to ingest or read the file</p></li>
<li><p><strong>shape</strong> (<em>dict</em>) – structure of the file/ schema of the redshift table with data types</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>message - file added successfully.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>dict</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/files/add?name=alignment_file_csv&amp;description=dummy&amp;&#39;</span>
<span class="gp">... </span>             <span class="s1">&#39;connector_id=1&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">    &quot;message&quot;: &quot;file added successfully&quot;</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

<dl class="function">
<dt id="controller.files.update">
<code class="sig-prename descclassname">controller.files.</code><code class="sig-name descname">update</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.files.update" title="Permalink to this definition">¶</a></dt>
<dd><p>Update a file present in the system.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>id</strong> (<em>int</em>) – ID of the file to be updated.</p></li>
<li><p><strong>name</strong> (<em>str</em>) – name of the file</p></li>
<li><p><strong>description</strong> (<em>str</em>) – what this file is all about?</p></li>
<li><p><strong>is_active</strong> (<em>bool</em>) – [Optional] status of the file - assumed to be true.</p></li>
<li><p><strong>connector_id</strong> (<em>int</em>) – ID of the connector to be used to ingest or read the file</p></li>
<li><p><strong>shape</strong> (<em>dict</em>) – structure of the file/ schema of the redshift table with data types</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>latest copy of the record present in the system.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>dict</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/files/update?name=alignment_file_csv&amp;description=dummy&amp;&#39;</span>
<span class="gp">... </span>             <span class="s1">&#39;connector_id=1&amp;id=1&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">    &quot;file&quot;:</span>
<span class="go">        {</span>
<span class="go">            &quot;id&quot;: 1,</span>
<span class="go">            &quot;name&quot;: &quot;alignment_file_csv&quot;,</span>
<span class="go">            &quot;description&quot;: &quot;dummy&quot;,</span>
<span class="go">            &quot;creation_date&quot;: null,</span>
<span class="go">            &quot;created_by&quot;: null,</span>
<span class="go">            &quot;modification_date&quot;: null,</span>
<span class="go">            &quot;modification_by&quot;: null,</span>
<span class="go">            &quot;is_active&quot;: True,</span>
<span class="go">            &quot;shape&quot;: [],</span>
<span class="go">            &quot;connector_id&quot;: 1</span>
<span class="go">        }</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

<dl class="function">
<dt id="controller.files.get">
<code class="sig-prename descclassname">controller.files.</code><code class="sig-name descname">get</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.files.get" title="Permalink to this definition">¶</a></dt>
<dd><p>Fetch a file present in the system.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>id</strong> (<em>int</em>) – ID of the file to be fetched from the system.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>latest copy of the record present in the system.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>dict</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/files/get?id=1&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">    &quot;file&quot;:</span>
<span class="go">        {</span>
<span class="go">            &quot;id&quot;: 1,</span>
<span class="go">            &quot;name&quot;: &quot;alignment_file_csv&quot;,</span>
<span class="go">            &quot;description&quot;: &quot;dummy&quot;,</span>
<span class="go">            &quot;creation_date&quot;: null,</span>
<span class="go">            &quot;created_by&quot;: null,</span>
<span class="go">            &quot;modification_date&quot;: null,</span>
<span class="go">            &quot;modification_by&quot;: null,</span>
<span class="go">            &quot;is_active&quot;: True,</span>
<span class="go">            &quot;shape&quot;: [],</span>
<span class="go">            &quot;connector_id&quot;: 1</span>
<span class="go">        }</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

<dl class="function">
<dt id="controller.files.delete">
<code class="sig-prename descclassname">controller.files.</code><code class="sig-name descname">delete</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.files.delete" title="Permalink to this definition">¶</a></dt>
<dd><p>Delete a file from the system.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>id</strong> (<em>int</em>) – ID of the file to be deleted.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>message - deleted successfully.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>dict</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/files/delete?id=1&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">    &quot;message&quot;: &quot;deleted successfully&quot;</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/controller.files.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>